# IRremoteESP8266: src/ir_RCMM.cpp File Reference

ir_RCMM.cpp File Reference

Support for the Phillips RC-MM protocol. More...

## Variables

const uint16_t | kRcmmTick = 28
const uint16_t | kRcmmHdrMarkTicks = 15
const uint16_t | kRcmmHdrMark = 416
const uint16_t | kRcmmHdrSpaceTicks = 10
const uint16_t | kRcmmHdrSpace = 277
const uint16_t | kRcmmBitMarkTicks = 6
const uint16_t | kRcmmBitMark = 166
const uint16_t | kRcmmBitSpace0Ticks = 10
const uint16_t | kRcmmBitSpace0 = 277
const uint16_t | kRcmmBitSpace1Ticks = 16
const uint16_t | kRcmmBitSpace1 = 444
const uint16_t | kRcmmBitSpace2Ticks = 22
const uint16_t | kRcmmBitSpace2 = 611
const uint16_t | kRcmmBitSpace3Ticks = 28
const uint16_t | kRcmmBitSpace3 = 777
const uint16_t | kRcmmRptLengthTicks = 992
const uint32_t | kRcmmRptLength = 27778
const uint16_t | kRcmmMinGapTicks = 120
const uint32_t | kRcmmMinGap = 3360
const uint8_t | kRcmmTolerance = 10
const uint16_t | kRcmmExcess = 50

## Detailed Description

Support for the Phillips RC-MM protocol.

See also
  http://www.sbprojects.com/knowledge/ir/rcmm.php

## Variable Documentation

## kRcmmBitMark

const uint16_t kRcmmBitMark = 166

## kRcmmBitMarkTicks

const uint16_t kRcmmBitMarkTicks = 6

## kRcmmBitSpace0

const uint16_t kRcmmBitSpace0 = 277

## kRcmmBitSpace0Ticks

const uint16_t kRcmmBitSpace0Ticks = 10

## kRcmmBitSpace1

const uint16_t kRcmmBitSpace1 = 444

## kRcmmBitSpace1Ticks

const uint16_t kRcmmBitSpace1Ticks = 16

## kRcmmBitSpace2

const uint16_t kRcmmBitSpace2 = 611

## kRcmmBitSpace2Ticks

const uint16_t kRcmmBitSpace2Ticks = 22

## kRcmmBitSpace3

const uint16_t kRcmmBitSpace3 = 777

## kRcmmBitSpace3Ticks

const uint16_t kRcmmBitSpace3Ticks = 28

## kRcmmExcess

const uint16_t kRcmmExcess = 50

## kRcmmHdrMark

const uint16_t kRcmmHdrMark = 416

## kRcmmHdrMarkTicks

const uint16_t kRcmmHdrMarkTicks = 15

## kRcmmHdrSpace

const uint16_t kRcmmHdrSpace = 277

## kRcmmHdrSpaceTicks

const uint16_t kRcmmHdrSpaceTicks = 10

## kRcmmMinGap

const uint32_t kRcmmMinGap = 3360

## kRcmmMinGapTicks

const uint16_t kRcmmMinGapTicks = 120

## kRcmmRptLength

const uint32_t kRcmmRptLength = 27778

## kRcmmRptLengthTicks

const uint16_t kRcmmRptLengthTicks = 992

## kRcmmTick

const uint16_t kRcmmTick = 28

## kRcmmTolerance

const uint8_t kRcmmTolerance = 10